# RetroArch

## Enable core downloading

```
# retroarch.cfg
menu_show_core_updater = "true"
```

## Setup core/info directories into user folder


```
# retroarch.cfg
libretro_directory = "~/.config/retroarch/cores"
libretro_info_path = "~/.config/retroarch/cores/info"
```

## Setup screenshots on content folder by system

Given a content (games) folder where games are sorted in folders by system, this will make the screenshots be sorted as well, instead of everything on the same folder.

```
# retroarch.cfg
# Automatic screenshot filename in content (games) directory
screenshots_in_content_dir = "true"
auto_screenshot_filename = "true"

# Notifications
notification_show_screenshot = "true"
notification_show_screenshot_duration = "1"
```
## Saves

Store saves alongide games. Same _trick_ we use with screenshots.

```
savefiles_in_content_dir = "true"
```

## States

This will make retroarch auto save/load states on launching/closing a game.

```
savestate_auto_load = "true"
savestate_auto_save = "true"
```

Store states alongside games. Same _trick_ we use with screenshots.

```
savestates_in_content_dir = "true"
```

Create a screenshot for a savestate, just for eye-candy.

```
savestate_thumbnail_enable = "true"
```

## Achievements

Enables achievements through the menu and sets up the configuration:

```
settings_show_achievements = "true"

cheevos_enable = "true"
cheevos_username = "<username>"
cheevos_password = "<password>"
cheevos_auto_screenshot = "true"
cheevos_badges_enable = "true"
cheevos_hardcore_mode_enable = "true"
cheevos_leaderboards_enable = "true"
cheevos_richpresence_enable = "true"
cheevos_start_active = "false"
cheevos_test_unofficial = "false"
cheevos_token = ""
cheevos_unlock_sound_enable = "true"
cheevos_verbose_enable = "false"
```
